Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
Class LockableObject

    java.lang.Object
      java.util.concurrent.locks.AbstractOwnableSynchronizer
          java.util.concurrent.locks.AbstractQueuedSynchronizer
              org.codehaus.groovy.util.LockableObject

    class LockableObject
    extends AbstractQueuedSynchronizer

A bit simplified lock designed to be inherited by.

Field Summary
`Thread` | `owner`

Constructor Summary
`LockableObject()`

Method Summary
`protected boolean` | `isHeldExclusively()`
`void` | `lock()`
`protected boolean` | `tryAcquire(int acquires)`
`protected boolean` | `tryRelease(int releases)`
`void` | `unlock()`

Methods inherited from class AbstractQueuedSynchronizer
toString, acquireInterruptibly, getQueueLength, getQueuedThreads, getWaitQueueLength, getWaitingThreads, hasQueuedThreads, hasWaiters, isQueued, release, tryAcquireNanos, acquire, acquireShared, acquireSharedInterruptibly, getExclusiveQueuedThreads, getFirstQueuedThread, getSharedQueuedThreads, hasContended, hasQueuedPredecessors, owns, releaseShared, tryAcquireSharedNanos, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class AbstractOwnableSynchronizer
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### owner

    Thread owner

Constructor Detail

### LockableObject

    LockableObject()

Method Detail

### isHeldExclusively

    protected final boolean isHeldExclusively()

### lock

    public final void lock()

### tryAcquire

    protected final boolean tryAcquire(int acquires)

### tryRelease

    protected final boolean tryRelease(int releases)

### unlock

    public final void unlock()

Copyright © 2003-2009 The Codehaus. All rights reserved.